Invite Candidate
Invite candidates to an interview
This endpoint emails candidates to take the interview, returns the candidate ID, and interview URL. The candidates will then take the interview on our platform before you can receive the report data.
POST
/
interview
/
invite
Invite candidates to an interview
curl --request POST \
--url https://public.api.micro1.ai/interview/invite \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"interview_id": "123e4567-e89b-12d3-a456-426614174000",
"candidates": [
{
"name": "John Doe",
"email": "candidate@example.com"
}
],
"job_application_id": "123e4567-e89b-12d3-a456-426614174000",
"candidate_id": "123e4567-e89b-12d3-a456-426614174000",
"disable_email_notification": false
}
'import requests
url = "https://public.api.micro1.ai/interview/invite"
payload = {
"interview_id": "123e4567-e89b-12d3-a456-426614174000",
"candidates": [
{
"name": "John Doe",
"email": "candidate@example.com"
}
],
"job_application_id": "123e4567-e89b-12d3-a456-426614174000",
"candidate_id": "123e4567-e89b-12d3-a456-426614174000",
"disable_email_notification": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
interview_id: '123e4567-e89b-12d3-a456-426614174000',
candidates: [{name: 'John Doe', email: 'candidate@example.com'}],
job_application_id: '123e4567-e89b-12d3-a456-426614174000',
candidate_id: '123e4567-e89b-12d3-a456-426614174000',
disable_email_notification: false
})
};
fetch('https://public.api.micro1.ai/interview/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Invitations sent successfully",
"data": {
"invitations": [
{
"candidate_id": "123e4567-e89b-12d3-a456-426614174000",
"candidate_email": "candidate@example.com",
"invite_url": "https://interview.micro1.ai/intro/micro1?cid=123e4567-e89b-12d3-a456-426614174000"
}
]
}
}{
"status": false,
"message": "Invalid request"
}{
"status": false
}Authorizations
API key to access the API
Body
application/json
Request body to create an interview
The ID of the interview to invite candidates to
Example:
"123e4567-e89b-12d3-a456-426614174000"
The list of candidates to invite
Show child attributes
Show child attributes
Example:
[
{
"name": "John Doe",
"email": "candidate@example.com"
}
]The ID of the job application to invite candidates (Optional)
Example:
"123e4567-e89b-12d3-a456-426614174000"
The ID of the candidate to re-send the invitation (Optional)
Example:
"123e4567-e89b-12d3-a456-426614174000"
Whether to disable the email notification sent to the candidate for the interview invitation
Example:
false
Previous
Get all invited candidatesThis endpoint retrieves all sent invites. You can search for a specific candidate, keyword or interview.
Next
⌘I
Invite candidates to an interview
